Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class Debugger.Event

    java.lang.Object
      com.sun.squawk.Debugger.Event

Direct Known Subclasses:
  Debugger.LocationEvent

Enclosing class:
  Debugger

    public static class Debugger.Event

extends Object

An Event instance encapsulates the details of an event that occurred in the VM that an attached JPDA debugger client may want to be notified about.

Field Summary
`static int` | `BREAKPOINT`
`static int` | `CLASS_LOAD`
`static int` | `CLASS_PREPARE`
`static int` | `CLASS_UNLOAD`
`static int` | `EXCEPTION`
`static int` | `EXCEPTION_CATCH`
`static int` | `FIELD_ACCESS`
`static int` | `FIELD_MODIFICATION`
`static int` | `FRAME_POP`
`int` | `kind` The JDWP event constant describing the kind of event.
`static int` | `METHOD_ENTRY`
`static int` | `METHOD_EXIT`
`Object` | `object` The object (if any) to which the event applies.
`static int` | `SINGLE_STEP`
`static int` | `THREAD_DEATH`
`static int` | `THREAD_END`
`static int` | `THREAD_START`
`static int` | `USER_DEFINED`
`static int` | `VM_DEATH`
`static int` | `VM_DISCONNECTED`
`static int` | `VM_INIT`
`static int` | `VM_START`

Constructor Summary
`Debugger.Event(int kind, Object object)`

Method Summary
`Thread` | `getThread()`
`Object` | `getThreadID()`
`void` | `setThread(Thread thread, Object threadID)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VM_DISCONNECTED

    public static final int VM_DISCONNECTED

See Also:
  Constant Field Values

### SINGLE_STEP

    public static final int SINGLE_STEP

See Also:
  Constant Field Values

### BREAKPOINT

    public static final int BREAKPOINT

See Also:
  Constant Field Values

### FRAME_POP

    public static final int FRAME_POP

See Also:
  Constant Field Values

### EXCEPTION

    public static final int EXCEPTION

See Also:
  Constant Field Values

### USER_DEFINED

    public static final int USER_DEFINED

See Also:
  Constant Field Values

### THREAD_START

    public static final int THREAD_START

See Also:
  Constant Field Values

### THREAD_END

    public static final int THREAD_END

See Also:
  Constant Field Values

### CLASS_PREPARE

    public static final int CLASS_PREPARE

See Also:
  Constant Field Values

### CLASS_UNLOAD

    public static final int CLASS_UNLOAD

See Also:
  Constant Field Values

### CLASS_LOAD

    public static final int CLASS_LOAD

See Also:
  Constant Field Values

### FIELD_ACCESS

    public static final int FIELD_ACCESS

See Also:
  Constant Field Values

### FIELD_MODIFICATION

    public static final int FIELD_MODIFICATION

See Also:
  Constant Field Values

### EXCEPTION_CATCH

    public static final int EXCEPTION_CATCH

See Also:
  Constant Field Values

### METHOD_ENTRY

    public static final int METHOD_ENTRY

See Also:
  Constant Field Values

### METHOD_EXIT

    public static final int METHOD_EXIT

See Also:
  Constant Field Values

### VM_INIT

    public static final int VM_INIT

See Also:
  Constant Field Values

### VM_DEATH

    public static final int VM_DEATH

See Also:
  Constant Field Values

### VM_START

    public static final int VM_START

See Also:
  Constant Field Values

### THREAD_DEATH

    public static final int THREAD_DEATH

See Also:
  Constant Field Values

### kind

    public final int kind

  The JDWP event constant describing the kind of event.

### object

    public final Object object

  The object (if any) to which the event applies.

Constructor Detail

### Debugger.Event

    public Debugger.Event(int kind,
                          Object object)

Method Detail

### setThread

    public final void setThread(Thread thread,
                                Object threadID)

### getThreadID

    public final Object getThreadID()

  Returns:
    the threadID associated with this event. (set by debugger).

### getThread

    public final Thread getThread()

  Returns:
    the thread associated with this event. (set by debugger)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"